| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Compiler.MAlonzo.Pretty

Synopsis

prettyPrint :: (Pretty a, Data a) => a -> String

Documentation

prettyPrint :: (Pretty a, Data a) => a -> String | Source

Inserts disambiguating parentheses and encodes module names just before pretty-printing.
Produced by Haddock version 2.4.2